Package twisted :: Package internet :: Module interfaces :: Class IMulticastTransport |
[frames | no frames]

## Class IMulticastTransport

    Interface --+
                |
               IMulticastTransport

Additional functionality for multicast UDP.

Method Summary
| ``getLoopbackMode`(self)` Return if loopback mode is enabled.
| ``getOutgoingInterface`(self)` Return interface of outgoing multicast packets.
| ``getTTL`(self)` Get time to live for multicast packets.
| ``joinGroup`(self, addr, interface)` Join a multicast group.
| ``leaveGroup`(self, addr, interface)` Leave multicast group, return Deferred of success.
| ``setLoopbackMode`(self, mode)` Set if loopback mode is enabled.
| ``setOutgoingInterface`(self, addr)` Set interface for outgoing multicast packets.
| ``setTTL`(self, ttl)` Set time to live on multicast packets.

Method Details

### getLoopbackMode(self) Return if loopback mode is enabled.

### getOutgoingInterface(self) Return interface of outgoing multicast packets.

### getTTL(self) Get time to live for multicast packets.

### joinGroup(self, addr, interface='') Join a multicast group. Returns Deferred of success.

### leaveGroup(self, addr, interface='') Leave multicast group, return Deferred of success.

### setLoopbackMode(self, mode) Set if loopback mode is enabled.

### setOutgoingInterface(self, addr) Set interface for outgoing multicast packets. Returns Deferred of success.

### setTTL(self, ttl) Set time to live on multicast packets.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:42 2003 | http://epydoc.sf.net